Bug 137018

Summary: [im-sdk] error upgrading due to undefine symbol in iiimf-gtk
Product: [Fedora] Fedora Reporter: Lawrence Lim <llim>
Component: im-sdkAssignee: Jens Petersen <petersen>
Status: CLOSED RAWHIDE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: eng-i18n-bugs, tools-bugs, wtogami
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: im-sdk-12.1-5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-05 02:08:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 125997, 130887, 137149    

Description Lawrence Lim 2004-10-25 03:08:38 EDT
Description of problem:
Upgraded im-sdk's packages from 11.4-46.1.svn1587 to 12.1-2 on FC2. An
error on undefine symbol was discovered.

Version-Release number of selected component (if applicable):
12.1-2

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh --nodeps iiimf-*
2.
3.
  
Actual results:
[root@dhcp-216 12.1-1]# rpm -Uvh --nodeps iiimf-*
Preparing...               
########################################### [100%]
   1:iiimf-server          
########################################### [  8%]
   2:iiimf-csconv          
########################################### [ 15%]
   3:iiimf-docs            
########################################### [ 23%]
   4:iiimf-emacs           
########################################### [ 31%]
  
5:iiimf-gnome-im-switcher########################################### [
38%]
   6:iiimf-gtk             
########################################### [ 46%]
Cannot load module /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so:
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined symbol:
iiimcf_create_aux_getvalues_event/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so
does not export GTK+ IM module API:
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined symbol:
iiimcf_create_aux_getvalues_event
   7:iiimf-le-canna        
########################################### [ 54%]
   8:iiimf-le-hangul       
########################################### [ 62%]
   9:iiimf-le-sun-thai     
########################################### [ 69%]
  10:iiimf-le-unit         
########################################### [ 77%]
  11:iiimf-libs            
########################################### [ 85%]
  12:iiimf-libs-devel      
########################################### [ 92%]
  13:iiimf-x               
########################################### [100%]
error: %postun(iiimf-server-11.4-46.1.svn1587) scriptlet failed, exit
status 1


Expected results:
No error.

Additional info:
Comment 1 Warren Togami 2004-10-25 03:18:34 EDT
I think this isn't fixable because it is the %postun scriptlet of the
OLD version that is the problem.  Jens would you agree?

Should we close WONTFIX?
Comment 2 Leon Ho 2004-10-25 03:24:55 EDT
We may need to fix the first half tho?

[root@reflex BUILD]# ldd /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so |
grep iii
        libiiimcf.so.2 => /usr/lib/im/lib/libiiimcf.so.2 (0xf6a59000)
        libiiimp.so.0 => /usr/lib/im/lib/libiiimp.so.0 (0xf6a33000)
Comment 3 Warren Togami 2004-10-25 03:28:11 EDT
I was wrong in Comment #1.  llch pointed out that this is an upgrade
ordering problem.  When the Requires is added, make sure it is
versioned.  The release is unnecessary.  Something like this:

Requires: iiimf-libs >= %{epoch}:%{version}
Comment 4 Jens Petersen 2004-10-28 02:08:14 EDT
Actually "rpm -U *" is no longer typically usage: it is actually
more serious AFAICT in that iiimf-libs doesn't get installed *at
all* when updating with up2date or yum I believe.

Warren, iiimf-libs isn't in FC2 btw so in this particular
case the version is less important.
Comment 5 Warren Togami 2004-10-28 02:25:26 EDT
Ok, version less Requires will do the job.
Comment 6 Jens Petersen 2004-10-28 09:47:40 EDT
Fixing in im-sdk-12.1-3 (also for iiimf-x).
Comment 7 Lawrence Lim 2004-11-05 01:46:14 EST
I am still experiencing problem in im-sdk-12.1-5. Could you please
have a look for me?

[root@engtester 12.1-5]# rpm -Fvh --nodeps iiimf-*
Preparing...               
########################################### [100%]
   1:iiimf-server          
########################################### [ 11%]
   2:iiimf-csconv          
########################################### [ 22%]
   3:iiimf-docs            
########################################### [ 33%]
   4:iiimf-emacs           
########################################### [ 44%]
   5:iiimf-gtk             
########################################### [ 56%]
Cannot load module /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so:
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined symbol:
iiimcf_create_aux_getvalues_event
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so does not export GTK+ IM
module API: /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined
symbol: iiimcf_create_aux_getvalues_event
   6:iiimf-le-canna        
########################################### [ 67%]
   7:iiimf-le-hangul       
########################################### [ 78%]
   8:iiimf-le-unit         
########################################### [ 89%]
   9:iiimf-x               
########################################### [100%]
Cannot load module /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so:
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined symbol:
iiimcf_create_aux_getvalues_event
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so does not export GTK+ IM
module API: /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined
symbol: iiimcf_create_aux_getvalues_event
error: %postun(iiimf-gtk-11.4-46.1.svn1587) scriptlet failed, exit
status 1
error: %postun(iiimf-server-11.4-46.1.svn1587) scriptlet failed, exit
status 1
Comment 8 Lawrence Lim 2004-11-05 01:51:30 EST
This is using rpm -Uvh option. 

[root@engtester 12.1-5]# rpm -Uvh --nodeps iiimf-*
Preparing...               
########################################### [100%]
   1:iiimf-server          
########################################### [  8%]
   2:iiimf-csconv          
########################################### [ 15%]
   3:iiimf-docs            
########################################### [ 23%]
   4:iiimf-emacs           
########################################### [ 31%]
  
5:iiimf-gnome-im-switcher########################################### [
38%]
   6:iiimf-gtk             
########################################### [ 46%]
Cannot load module /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so:
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined symbol:
iiimcf_create_aux_getvalues_event
/usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so does not export GTK+ IM
module API: /usr/lib/gtk-2.0/2.4.0/immodules/im-iiim.so: undefined
symbol: iiimcf_create_aux_getvalues_event
   7:iiimf-le-canna        
########################################### [ 54%]
   8:iiimf-le-hangul       
########################################### [ 62%]
   9:iiimf-le-sun-thai     
########################################### [ 69%]
  10:iiimf-le-unit         
########################################### [ 77%]
  11:iiimf-libs            
########################################### [ 85%]
  12:iiimf-libs-devel      
########################################### [ 92%]
  13:iiimf-x               
########################################### [100%]
error: %postun(iiimf-server-11.4-46.1.svn1587) scriptlet failed, exit
status 1
Comment 9 Lawrence Lim 2004-11-05 01:59:23 EST
My bad. After removing the LE and friends with version deps,
performing a rpm -Uvh is fine now. 

So the %postun error will not be fixed right? 


---
[root@engtester 12.1-5]# rpm -Uvh iiimf-*
error: Failed dependencies:
        iiimf-client-lib >= 11.4-4 is needed by (installed)
iiimf-le-xcin-0.1.5-4
        iiimf-protocol-lib >= 11.4-4 is needed by (installed)
iiimf-le-xcin-0.1.5-4
        iiimf-server = 1:11.4-46.1.svn1587 is needed by (installed)
iiimf-le-newpy-11.4-46.1.svn1587
[root@engtester 12.1-5]# rpm -e iiimf-le-xcin
[root@engtester 12.1-5]# rpm -e iiimf-le-newpy
[root@engtester 12.1-5]# rpm -Uvh iiimf-*
Preparing...               
########################################### [100%]
   1:iiimf-libs            
########################################### [  8%]
   2:iiimf-csconv          
########################################### [ 15%]
   3:iiimf-server          
########################################### [ 23%]
   4:iiimf-le-unit         
########################################### [ 31%]
   5:iiimf-docs            
########################################### [ 38%]
   6:iiimf-emacs           
########################################### [ 46%]
  
7:iiimf-gnome-im-switcher########################################### [
54%]
   8:iiimf-gtk             
########################################### [ 62%]
   9:iiimf-le-canna        
########################################### [ 69%]
  10:iiimf-le-hangul       
########################################### [ 77%]
  11:iiimf-le-sun-thai     
########################################### [ 85%]
  12:iiimf-libs-devel      
########################################### [ 92%]
  13:iiimf-x               
########################################### [100%]
error: %postun(iiimf-server-11.4-46.1.svn1587) scriptlet failed, exit
status 1
[root@engtester 12.1-5]#
Comment 10 Jens Petersen 2004-11-05 02:04:54 EST
The postun error in the old iiimf-server due to renaming IIim
to iiim can't be fixed easily AFAIK.
Comment 11 Lawrence Lim 2004-11-05 02:08:39 EST
Confirmed fixed. Tested with im-sdk-12.1-5.
error: %postun is due to renaming of the init.d script.

Thanks.
Comment 12 Warren Togami 2004-11-05 06:18:49 EST
--nodeps is BAD and should never be used.  Things WILL break and be in
an inconsistent state if you use --nodeps.  Why did you choose to use
it in this test?  Just curious.